## EDBusSourceManager EDBusSourceManager |

## Functions

gboolean | e_dbus_source_manager_call_create_sources_sync ()
void | e_dbus_source_manager_call_create_sources ()
gboolean | e_dbus_source_manager_call_create_sources_finish ()
void | e_dbus_source_manager_complete_create_sources ()
gboolean | e_dbus_source_manager_call_reload_sync ()
void | e_dbus_source_manager_call_reload ()
gboolean | e_dbus_source_manager_call_reload_finish ()
void | e_dbus_source_manager_complete_reload ()
GDBusInterfaceInfo * | e_dbus_source_manager_interface_info ()
guint | e_dbus_source_manager_override_properties ()
EDBusSourceManager * | e_dbus_source_manager_proxy_new_sync ()
void | e_dbus_source_manager_proxy_new ()
EDBusSourceManager * | e_dbus_source_manager_proxy_new_finish ()
EDBusSourceManager * | e_dbus_source_manager_proxy_new_for_bus_sync ()
void | e_dbus_source_manager_proxy_new_for_bus ()
EDBusSourceManager * | e_dbus_source_manager_proxy_new_for_bus_finish ()
EDBusSourceManager * | e_dbus_source_manager_skeleton_new ()

## Signals

gboolean | handle-create-sources | Run Last
gboolean | handle-reload | Run Last

## Types and Values

| EDBusSourceManager
struct | EDBusSourceManagerProxy
struct | EDBusSourceManagerSkeleton

## Object Hierarchy

        GInterface
        ╰── EDBusSourceManager
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── EDBusSourceManagerSkeleton
        ╰── GDBusProxy
            ╰── EDBusSourceManagerProxy

## Prerequisites

EDBusSourceManager requires GObject.

## Implemented Interfaces

EDBusSourceManagerProxy implements GDBusInterface, GInitable, GAsyncInitable and EDBusSourceManager.

EDBusSourceManagerSkeleton implements GDBusInterface and EDBusSourceManager.

## Known Implementations

EDBusSourceManager is implemented by EDBusSourceManagerProxy and EDBusSourceManagerSkeleton.

## Description

## Functions

### e_dbus_source_manager_call_create_sources_sync ()

    gboolean
    e_dbus_source_manager_call_create_sources_sync
                                   (EDBusSourceManager *proxy,
                                    GVariant *arg_array,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `CreateSources()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_source_manager_call_create_sources()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusSourceManagerProxy. |
arg_array | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### e_dbus_source_manager_call_create_sources ()

    void
    e_dbus_source_manager_call_create_sources
                                   (EDBusSourceManager *proxy,
                                    GVariant *arg_array,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `CreateSources()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_manager_call_create_sources_finish()` to get the result of the operation.

See `e_dbus_source_manager_call_create_sources_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusSourceManagerProxy. |
arg_array | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### e_dbus_source_manager_call_create_sources_finish ()

    gboolean
    e_dbus_source_manager_call_create_sources_finish
                                   (EDBusSourceManager *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_manager_call_create_sources()`.

#### Parameters

proxy | A EDBusSourceManagerProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_manager_call_create_sources()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### e_dbus_source_manager_complete_create_sources ()

    void
    e_dbus_source_manager_complete_create_sources
                                   (EDBusSourceManager *object,
                                    GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `CreateSources()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusSourceManager. |
invocation | A GDBusMethodInvocation. | [transfer full]

### e_dbus_source_manager_call_reload_sync ()

    gboolean
    e_dbus_source_manager_call_reload_sync
                                   (EDBusSourceManager *proxy,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Reload()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `e_dbus_source_manager_call_reload()` for the asynchronous version of this method.

#### Parameters

proxy | A EDBusSourceManagerProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### e_dbus_source_manager_call_reload ()

    void
    e_dbus_source_manager_call_reload (EDBusSourceManager *proxy,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously invokes the `Reload()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_manager_call_reload_finish()` to get the result of the operation.

See `e_dbus_source_manager_call_reload_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A EDBusSourceManagerProxy. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### e_dbus_source_manager_call_reload_finish ()

    gboolean
    e_dbus_source_manager_call_reload_finish
                                   (EDBusSourceManager *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_manager_call_reload()`.

#### Parameters

proxy | A EDBusSourceManagerProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_manager_call_reload()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeded, `FALSE` if `error` is set.

[skip]

### e_dbus_source_manager_complete_reload ()

    void
    e_dbus_source_manager_complete_reload (EDBusSourceManager *object,
                                           GDBusMethodInvocation *invocation);

Helper function used in service implementations to finish handling invocations of the `Reload()` D-Bus method. If you instead want to finish handling an invocation by returning an error, use `g_dbus_method_invocation_return_error()` or similar.

This method will free `invocation` , you cannot use it afterwards.

#### Parameters

object | A EDBusSourceManager. |
invocation | A GDBusMethodInvocation. | [transfer full]

### e_dbus_source_manager_interface_info ()

    GDBusInterfaceInfo *
    e_dbus_source_manager_interface_info (void);

Gets a machine-readable description of the org.gnome.evolution.dataserver.SourceManager D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

### e_dbus_source_manager_override_properties ()

    guint
    e_dbus_source_manager_override_properties
                                   (GObjectClass *klass,
                                    guint property_id_begin);

Overrides all GObject properties in the EDBusSourceManager interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject-derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

### e_dbus_source_manager_proxy_new_sync ()

    EDBusSourceManager *
    e_dbus_source_manager_proxy_new_sync (GDBusConnection *connection,
                                          GDBusProxyFlags flags,
                                          const gchar *name,
                                          const gchar *object_path,
                                          GCancellable *cancellable,
                                          GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.SourceManager. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `e_dbus_source_manager_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceManagerProxy]

### e_dbus_source_manager_proxy_new ()

    void
    e_dbus_source_manager_proxy_new (GDBusConnection *connection,
                                     GDBusProxyFlags flags,
                                     const gchar *name,
                                     const gchar *object_path,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.evolution.dataserver.SourceManager. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_manager_proxy_new_finish()` to get the result of the operation.

See `e_dbus_source_manager_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### e_dbus_source_manager_proxy_new_finish ()

    EDBusSourceManager *
    e_dbus_source_manager_proxy_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_manager_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_manager_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceManagerProxy]

### e_dbus_source_manager_proxy_new_for_bus_sync ()

    EDBusSourceManager *
    e_dbus_source_manager_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `e_dbus_source_manager_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `e_dbus_source_manager_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceManagerProxy]

### e_dbus_source_manager_proxy_new_for_bus ()

    void
    e_dbus_source_manager_proxy_new_for_bus
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `e_dbus_source_manager_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `e_dbus_source_manager_proxy_new_for_bus_finish()` to get the result of the operation.

See `e_dbus_source_manager_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### e_dbus_source_manager_proxy_new_for_bus_finish ()

    EDBusSourceManager *
    e_dbus_source_manager_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `e_dbus_source_manager_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `e_dbus_source_manager_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type EDBusSourceManagerProxy]

### e_dbus_source_manager_skeleton_new ()

    EDBusSourceManager *
    e_dbus_source_manager_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.gnome.evolution.dataserver.SourceManager.

#### Returns

The skeleton object.

[transfer full][type EDBusSourceManagerSkeleton]

## Types and Values

### EDBusSourceManager

    typedef struct _EDBusSourceManager EDBusSourceManager;

Abstract interface type for the D-Bus interface org.gnome.evolution.dataserver.SourceManager.

### struct EDBusSourceManagerProxy

    struct EDBusSourceManagerProxy;

The EDBusSourceManagerProxy structure contains only private data and should only be accessed using the provided API.

### struct EDBusSourceManagerSkeleton

    struct EDBusSourceManagerSkeleton;

The EDBusSourceManagerSkeleton structure contains only private data and should only be accessed using the provided API.

## Signal Details

### The `“handle-create-sources”` signal

    gboolean
    user_function (EDBusSourceManager    *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_array,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `CreateSources()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_source_manager_complete_create_sources()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusSourceManager. |
invocation | A GDBusMethodInvocation. |
arg_array | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-reload”` signal

    gboolean
    user_function (EDBusSourceManager    *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Reload()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `e_dbus_source_manager_complete_reload()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A EDBusSourceManager. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last